global:
  imageRegistry: ""

# ingress 배포 전 인증서 secret 배포 필요(secret 이름은 platform)
ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: "selfsigned-issuer"
    cert-manager.io/duration: 8760h
    cert-manager.io/renew-before: 720h
    konghq.com/protocols: https
    konghq.com/https-redirect-status-code: "301"

  hosts:
    - host: gitea.example.org
      paths:
        - path: /
          pathType: Prefix
  tls:
    - hosts:
        host: gitea.example.org
      secretName: gitea-tls-secret

# 사설 인증서를 사용 시 아래 내용 추가
extraVolumes:
  - name: gitea-tls
    secret:
      secretName: gitea-tls-secret

extraContainerVolumeMounts:
  - name: gitea-tls
    mountPath: /etc/ssl/certs/ca.crt
    subPath: ca.crt
extraInitVolumeMounts:
  - name: gitea-tls
    mountPath: /etc/ssl/certs/ca.crt
    subPath: ca.crt

## pod 설정
replicaCount: 1

tolerations: []

nodeSelector: {}

resources:
  requests:
    cpu: 100m
    memory: 300Mi
  limits:
    cpu: 300m
    memory: 500Mi

persistence:
  enabled: true
  size: 10Gi
  storageClass: ""

## 같은 네임스페이스에 postgresql 배포 가정
gitea:
  admin:
    email: sudouser@cro.com
    username: sudouser
    password: password
  config:
    APP_NAME: paasup git
    RUN_MODE: prod
    database:
      CHARSET: utf8
      DB_TYPE: postgres
      HOST: postgresql-postgresql-ha-postgresql:5432
      NAME: gitea
      USER: gitea
      PASSWD: gitea
      SCHEMA: gitea
      SSL_MODE: disable
    repository:
      DEFAULT_BRANCH: master
    server:
      ROOT_URL: https://gitea.example.org
    service:
      DEFAULT_ALLOW_CREATE_ORGANIZATION: true
    session:
      COOKIE_NAME: i_hate_gitea
      PROVIDER: postgres
      PROVIDER_CONFIG: user=gitea password=gitea host=postgresql-postgresql-ha-postgresql
        port=5432 dbname=gitea_session sslmode=disable
  oauth:
  - autoDiscoverUrl: http://keycloak/realms/paasup/.well-known/openid-configuration
    key: gitea
    name: Keycloak
    provider: openidConnect
    secret: VWIjYDNosSlPseEo5Uo8nkP3OHO4MigA

# Postgresql 비활성화
postgresql:
  enabled: false
postgresql-ha:
  enabled: false

# valkey 비활성화
valkey:
  enabled: false
valkey-cluster:
  enabled: false